.avatar-section {
    width: 15%;
}
.title-section {
    width: 62%;
    margin-right: 10px;
}
.time-section {
    width: 23%;
}
.avatar {
    width: 50px;
    height: 50px;
    background: linear-gradient(to right, #ff512f, #f09819);
}
.avatar img {
    padding: 2px;
    background: linear-gradient(to right, #ff512f, #f09819);
}
.card-body {
    padding: 10px;
}
.profile-default-logo {
    width: 50px !important;
    height: 50px !important;
    font-size: 1.4rem;
}
#courseModal .modal-dialog {
    min-width: 80%;
}
#teacherAvailabilityModal .modal-dialog {
    min-width: 40%;
}
.column-count-2 {
    column-count: 2;
    column-gap: 0px;
}
.avatar-square, .avatar-square .avatar-content {
    width: 140px !important;
    height: 140px !important;
}
.avatar-square .avatar-content {
    font-size: 5.5rem;
}
.avatar-date-icon {
    width: 40px;
    height: 40px;
}
.avatar-date-icon .avatar-initial i {
    font-size: 22px;
}
.font-default-logo {
    font-size: 3.5rem;
}
.lesson-list-card-body {
    padding: 15px;
}
.lesson-title {
    font-size: 16px;
    color: #000;
}
.card.h-100 {
    box-shadow: 0 0.25rem 1.125rem rgb(75 70 92 / 2%);
}
.no-lesson-section {
    padding: 25px 0px;
    border: 1px #d3d1d182 dashed;
    color: #979797;
    font-size: 14px;
}
.document-icon {
    margin-left: 1px;
    font-size: 18px;
    color: #6f6b7d;
}
.document-list,.substitute-name {
    margin-left: 5px;
}
.add-new-availability {
    font-size: 14px;
    font-weight: normal;
}
.document-icon.small-icon {
    font-size: 14px;
}
.document-icon-ml {
    margin-left: 5px;
    font-size: 18px;
    color: #6f6b7d;
}
.course-card {
    display: flex;
    flex-direction: column;
}
.course-card .card-body {
    display: flex;
    flex-direction: column;
    flex: 1;
}
.course-card .join-course-btn-section {
    margin-top: auto !important;
}
.course-card, .course-card .btn {
    font-size: 16px;
}
.course-card h5 {
    font-size: 20px;
}
.course-card.card {
    box-shadow: 0 0.25rem 1.125rem rgba(75, 70, 92, 0.1);
    padding: 10px;
}
.course-card .course-name {
    width: 81%;
}
.course-card .profile-img {
    width: 12vw;
    border-radius: 50%;
    padding: 3px;
    background: linear-gradient(to right, #ff512f, #f09819);
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    max-width: 75px;
    min-width: 75px;
}
.course-card .profile-img img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    object-fit: cover;
}
.course-card .profile-img .avatar-content {
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2.5rem;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    object-fit: cover;
}
.course-card h5,.course-card p {
    margin: 0;
}
.availability-section {
    width: 100%;
}
.course-info {
    margin: 10px 0;
    display: flex;
    align-items: center;
    font-size: 16px;
}
.course-info i {
    margin-right: 8px;
    flex-shrink: 0;
    font-size: 16px;
}
.course-info .name-section,
.availability-time {
    width: 90%;
}
.course-info .btn-section,
.availability-action {
    width: 10%;
    text-align: end;
}
.course-day-info {
    background-color: #D8D8D830;
    border-radius: 0.375rem;
    padding: 10px 20px;
}
.course-other-info {
    padding-left: 20px;
    margin: 15px 0 15px 0;
}
.course-documents-info {
    margin-top: 50px;
}
.course-dotted {
    flex-grow: 1;
    border-bottom: 1px dotted #aaa;
    margin: 0 6px;
}
.lessons-schedule-list {
    margin: 30px auto 27px auto;
}
.lesson-day-list {
    margin-bottom: 30px;
}
.click-hand-icon {
    position: absolute;
    margin-left: -70px;
    margin-top: 10px;
    z-index: -5;
}
.btn-primary.zoom-button {
    color: #fff !important;
    background: #0078d4 !important;
    border-color: #0078d4 !important;
}
.btn-primary.zoom-button:hover {
    background-color: #0072c6 !important;
    border-color: #0072c6 !important;
}
.zoom-btton-section a {
    margin-bottom: 5px;
}
.zoom-btton-section a .icon-padding {
    margin-right: 10px;
}
.upload-container {
    position: relative;
}
.upload-container label {
    border: 1px dashed #d9d9d9;
    outline-offset: -10px;
    padding: 10px 0 5px 0;
    text-align: center !important;
    width: 100%;
    cursor: pointer;
    border-radius: 5px;
}
.upload-container i {
    font-size: 22px;
}
.upload-container .upload-text,
.upload-container i.fa-spin {
    font-size: 14px;
}
.count-text {
    font-size: 16px;
    padding: 2px;
}

/* Mobile devices (portrait) — up to 767px */
@media only screen and (max-width: 767px) {
    .modal .modal-dialog {
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        padding: 0 !important;
        margin: 0;
        /* overflow-y: auto;
        -webkit-overflow-scrolling: touch; */
    }
    .modal .modal-dialog .modal-content {
        margin-top: 0 !important;
        min-height: 100%;
        border-radius: 0;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;
    }
    .modal .modal-dialog .modal-content .btn-close {
        right: 30px;
        top: 30px;
        box-shadow: none;
        width: 18px;
        height: 18px;
        background-size: cover;
    }
    .column-count-2 {
        column-count: 1;
    }
    #courseModal .modal-dialog .modal-content .modal-body {
        padding-left: 0;
        padding-right: 0;
    }
    .course-enrollment-list {
        padding: 0;
        margin: 0;
    }
    .course-card .course-name {
        width: 77%;
    }
    .course-card .profile-img {
        max-width: 65px;
        min-width: 65px;
    }
    [data-textdirection="rtl"] .modal .modal-dialog .modal-content .btn-close {
        left: 30px;
        right: unset;
    }

}

/* Tablet devices — 768px to 1024px */
@media only screen and (min-width: 768px) and (max-width: 1024px) {

}


/* RTL */
[data-textdirection="rtl"] .course-info i {
    margin-right: unset;
    margin-left: 8px;
}
[data-textdirection="rtl"] .document-icon {
    margin-left: unset;
    margin-right: 1px;
}
[data-textdirection="rtl"] .document-icon-ml {
    margin-left: unset;
    margin-right: 5px;
}
[data-textdirection="rtl"] .document-list,[data-textdirection="rtl"] .substitute-name {
    margin-left: unset;
    margin-right: 5px;
}
[data-textdirection="rtl"] .title-section {
    margin-right: unset;
    margin-left: 10px;
}
[data-textdirection="rtl"] .click-hand-icon {
    margin-right: -70px;
    margin-left: unset;
}
[data-textdirection="rtl"] .zoom-btton-section a .icon-padding {
    margin-right: unset;
    margin-left: 10px;
}
